import request from '@/utils/request'

/**
 * 获取住院患者列表
 */
export function getPatientList(queryParams) {
  return request({
    url: '/nurse-station/advice-process/inpatient',
    method: 'get',
    params: queryParams
  })
}

/**
 * 获取当前登录人管理病区
 */
export function getWardList(queryParams) {
  return request({
    url: '/app-common/practitioner-ward',
    method: 'get',
    params: queryParams
  })
}

/**
 * 获取当前选中患者全部医嘱
 */
export function getPrescriptionList(queryParams) {
  return request({
    url: '/nurse-station/advice-process/inpatient-advice',
    method: 'get',
    params: queryParams
  })
}

/**
 * 执行医嘱
 */
export function adviceExecute(data) {
  return request({
    url: '/nurse-station/advice-process/advice-execute',
    method: 'post',
    data: data
  })
}

/**
 * 取消执行医嘱
 */
export function adviceCancel(data) {
  return request({
    url: '/nurse-station/advice-process/advice-cancel',
    method: 'put',
    data: data
  })
}

/**
 * 医嘱不执行
 */
export function adviceNoExecute(data) {
  return request({
    url: '/nurse-station/advice-process/advice-void',
    method: 'put',
    data: data
  })
}